#include<bits/stdc++.h>
using namespace std;
long long i=2,j=1;
long long z[20000];
long long tong=0;
int main()
{
	ifstream f1("TSNT.inp");
	ofstream f2("TSNT.out");
	long long a;
	long long m;
	f1>>a;
	m=a;
	while(a>1)
	{
		if(a%i==0)	
		{
		z[j]=i;
		j++;
		a=a/i;
		tong=tong+i;}
		else
		i++;
	}
	f2<<m<<"=";
	for(i=1;i<j-1;i++)
	f2<<z[i]<<"*";
	f2<<z[j-1];
	f2<<endl<<tong;
}


